<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>ConstructorDeclaration xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment">  */</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <em class="jxr_comment"> * Copyright (C) 2007-2010 Júlio Vilmar Gesser.</em>
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <em class="jxr_comment"> * Copyright (C) 2011, 2013-2015 The JavaParser Team.</em>
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <em class="jxr_comment"> * This file is part of JavaParser.</em>
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <em class="jxr_comment"> * </em>
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_comment"> * JavaParser can be used either under the terms of</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <em class="jxr_comment"> * a) the GNU Lesser General Public License as published by</em>
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <em class="jxr_comment"> *     the Free Software Foundation, either version 3 of the License, or</em>
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <em class="jxr_comment"> *     (at your option) any later version.</em>
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_comment"> * b) the terms of the Apache License </em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_comment"> * You should have received a copy of both licenses in LICENCE.LGPL and</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_comment"> * LICENCE.APACHE. Please refer to those files for details.</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <em class="jxr_comment"> * JavaParser is distributed in the hope that it will be useful,</em>
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <em class="jxr_comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_comment"> * GNU Lesser General Public License for more details.</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">import</strong> java.util.List;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.AccessSpecifier;
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.DocumentableNode;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.NamedNode;
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.TypeParameter;
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.comments.JavadocComment;
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.AnnotationExpr;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr;
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt;
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.GenericVisitor;
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor.VoidVisitor;
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <strong class="jxr_keyword">import</strong> <strong class="jxr_keyword">static</strong> org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.internal.Utils.*;
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <em class="jxr_javadoccomment"> * @author Julio Vilmar Gesser</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html">ConstructorDeclaration</a> <strong class="jxr_keyword">extends</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/BodyDeclaration.html">BodyDeclaration</a> <strong class="jxr_keyword">implements</strong> DocumentableNode, WithDeclaration,
<a class="jxr_linenumber" name="L51" href="#L51">51</a>          <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/NamedNode.html">NamedNode</a> {
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  
<a class="jxr_linenumber" name="L53" href="#L53">53</a>      <strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">int</strong> modifiers;
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  
<a class="jxr_linenumber" name="L55" href="#L55">55</a>      <strong class="jxr_keyword">private</strong> List&lt;TypeParameter&gt; typeParameters;
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  
<a class="jxr_linenumber" name="L57" href="#L57">57</a>      <strong class="jxr_keyword">private</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html">NameExpr</a> name;
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  
<a class="jxr_linenumber" name="L59" href="#L59">59</a>      <strong class="jxr_keyword">private</strong> List&lt;Parameter&gt; parameters;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  
<a class="jxr_linenumber" name="L61" href="#L61">61</a>      <strong class="jxr_keyword">private</strong> List&lt;NameExpr&gt; <strong class="jxr_keyword">throws</strong>_;
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  
<a class="jxr_linenumber" name="L63" href="#L63">63</a>      <strong class="jxr_keyword">private</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html">BlockStmt</a> block;
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  
<a class="jxr_linenumber" name="L65" href="#L65">65</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html">ConstructorDeclaration</a>() {
<a class="jxr_linenumber" name="L66" href="#L66">66</a>      }
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  
<a class="jxr_linenumber" name="L68" href="#L68">68</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html">ConstructorDeclaration</a>(<strong class="jxr_keyword">int</strong> modifiers, String name) {
<a class="jxr_linenumber" name="L69" href="#L69">69</a>          setModifiers(modifiers);
<a class="jxr_linenumber" name="L70" href="#L70">70</a>          setName(name);
<a class="jxr_linenumber" name="L71" href="#L71">71</a>      }
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  
<a class="jxr_linenumber" name="L73" href="#L73">73</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html">ConstructorDeclaration</a>(<strong class="jxr_keyword">int</strong> modifiers, List&lt;AnnotationExpr&gt; annotations, List&lt;TypeParameter&gt; typeParameters,
<a class="jxr_linenumber" name="L74" href="#L74">74</a>                                    String name, List&lt;Parameter&gt; parameters, List&lt;NameExpr&gt; <strong class="jxr_keyword">throws</strong>_, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html">BlockStmt</a> block) {
<a class="jxr_linenumber" name="L75" href="#L75">75</a>          <strong class="jxr_keyword">super</strong>(annotations);
<a class="jxr_linenumber" name="L76" href="#L76">76</a>          setModifiers(modifiers);
<a class="jxr_linenumber" name="L77" href="#L77">77</a>          setTypeParameters(typeParameters);
<a class="jxr_linenumber" name="L78" href="#L78">78</a>          setName(name);
<a class="jxr_linenumber" name="L79" href="#L79">79</a>          setParameters(parameters);
<a class="jxr_linenumber" name="L80" href="#L80">80</a>          setThrows(<strong class="jxr_keyword">throws</strong>_);
<a class="jxr_linenumber" name="L81" href="#L81">81</a>          setBlock(block);
<a class="jxr_linenumber" name="L82" href="#L82">82</a>      }
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  
<a class="jxr_linenumber" name="L84" href="#L84">84</a>      <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html">ConstructorDeclaration</a>(<strong class="jxr_keyword">int</strong> beginLine, <strong class="jxr_keyword">int</strong> beginColumn, <strong class="jxr_keyword">int</strong> endLine, <strong class="jxr_keyword">int</strong> endColumn, <strong class="jxr_keyword">int</strong> modifiers,
<a class="jxr_linenumber" name="L85" href="#L85">85</a>                                    List&lt;AnnotationExpr&gt; annotations, List&lt;TypeParameter&gt; typeParameters, String name,
<a class="jxr_linenumber" name="L86" href="#L86">86</a>                                    List&lt;Parameter&gt; parameters, List&lt;NameExpr&gt; <strong class="jxr_keyword">throws</strong>_, <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html">BlockStmt</a> block) {
<a class="jxr_linenumber" name="L87" href="#L87">87</a>          <strong class="jxr_keyword">super</strong>(beginLine, beginColumn, endLine, endColumn, annotations);
<a class="jxr_linenumber" name="L88" href="#L88">88</a>          setModifiers(modifiers);
<a class="jxr_linenumber" name="L89" href="#L89">89</a>          setTypeParameters(typeParameters);
<a class="jxr_linenumber" name="L90" href="#L90">90</a>          setName(name);
<a class="jxr_linenumber" name="L91" href="#L91">91</a>          setParameters(parameters);
<a class="jxr_linenumber" name="L92" href="#L92">92</a>          setThrows(<strong class="jxr_keyword">throws</strong>_);
<a class="jxr_linenumber" name="L93" href="#L93">93</a>          setBlock(block);
<a class="jxr_linenumber" name="L94" href="#L94">94</a>      }
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  
<a class="jxr_linenumber" name="L96" href="#L96">96</a>      @Override
<a class="jxr_linenumber" name="L97" href="#L97">97</a>      <strong class="jxr_keyword">public</strong> &lt;R, A&gt; R accept(GenericVisitor&lt;R, A&gt; v, A arg) {
<a class="jxr_linenumber" name="L98" href="#L98">98</a>          <strong class="jxr_keyword">return</strong> v.visit(<strong class="jxr_keyword">this</strong>, arg);
<a class="jxr_linenumber" name="L99" href="#L99">99</a>      }
<a class="jxr_linenumber" name="L100" href="#L100">100</a> 
<a class="jxr_linenumber" name="L101" href="#L101">101</a>     @Override
<a class="jxr_linenumber" name="L102" href="#L102">102</a>     <strong class="jxr_keyword">public</strong> &lt;A&gt; <strong class="jxr_keyword">void</strong> accept(VoidVisitor&lt;A&gt; v, A arg) {
<a class="jxr_linenumber" name="L103" href="#L103">103</a>         v.visit(<strong class="jxr_keyword">this</strong>, arg);
<a class="jxr_linenumber" name="L104" href="#L104">104</a>     }
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 
<a class="jxr_linenumber" name="L106" href="#L106">106</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html">BlockStmt</a> getBlock() {
<a class="jxr_linenumber" name="L107" href="#L107">107</a>         <strong class="jxr_keyword">return</strong> block;
<a class="jxr_linenumber" name="L108" href="#L108">108</a>     }
<a class="jxr_linenumber" name="L109" href="#L109">109</a> 
<a class="jxr_linenumber" name="L110" href="#L110">110</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L111" href="#L111">111</a> <em class="jxr_javadoccomment">     * Return the modifiers of this member declaration.</em>
<a class="jxr_linenumber" name="L112" href="#L112">112</a> <em class="jxr_javadoccomment">     * </em>
<a class="jxr_linenumber" name="L113" href="#L113">113</a> <em class="jxr_javadoccomment">     * @see ModifierSet</em>
<a class="jxr_linenumber" name="L114" href="#L114">114</a> <em class="jxr_javadoccomment">     * @return modifiers</em>
<a class="jxr_linenumber" name="L115" href="#L115">115</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="L116" href="#L116">116</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">int</strong> getModifiers() {
<a class="jxr_linenumber" name="L117" href="#L117">117</a>         <strong class="jxr_keyword">return</strong> modifiers;
<a class="jxr_linenumber" name="L118" href="#L118">118</a>     }
<a class="jxr_linenumber" name="L119" href="#L119">119</a> 
<a class="jxr_linenumber" name="L120" href="#L120">120</a>     @Override
<a class="jxr_linenumber" name="L121" href="#L121">121</a>     <strong class="jxr_keyword">public</strong> String getName() {
<a class="jxr_linenumber" name="L122" href="#L122">122</a>         <strong class="jxr_keyword">return</strong> name == <strong class="jxr_keyword">null</strong> ? <strong class="jxr_keyword">null</strong> : name.getName();
<a class="jxr_linenumber" name="L123" href="#L123">123</a>     }
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 
<a class="jxr_linenumber" name="L125" href="#L125">125</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html">NameExpr</a> getNameExpr() {
<a class="jxr_linenumber" name="L126" href="#L126">126</a>         <strong class="jxr_keyword">return</strong> name;
<a class="jxr_linenumber" name="L127" href="#L127">127</a>     }
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 
<a class="jxr_linenumber" name="L129" href="#L129">129</a>     <strong class="jxr_keyword">public</strong> List&lt;Parameter&gt; getParameters() {
<a class="jxr_linenumber" name="L130" href="#L130">130</a>         parameters = ensureNotNull(parameters);
<a class="jxr_linenumber" name="L131" href="#L131">131</a>         <strong class="jxr_keyword">return</strong> parameters;
<a class="jxr_linenumber" name="L132" href="#L132">132</a>     }
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 
<a class="jxr_linenumber" name="L134" href="#L134">134</a>     <strong class="jxr_keyword">public</strong> List&lt;NameExpr&gt; getThrows() {
<a class="jxr_linenumber" name="L135" href="#L135">135</a>         <strong class="jxr_keyword">throws</strong>_ = ensureNotNull(<strong class="jxr_keyword">throws</strong>_);
<a class="jxr_linenumber" name="L136" href="#L136">136</a>         <strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">throws</strong>_;
<a class="jxr_linenumber" name="L137" href="#L137">137</a>     }
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 
<a class="jxr_linenumber" name="L139" href="#L139">139</a>     <strong class="jxr_keyword">public</strong> List&lt;TypeParameter&gt; getTypeParameters() {
<a class="jxr_linenumber" name="L140" href="#L140">140</a>         typeParameters = ensureNotNull(typeParameters);
<a class="jxr_linenumber" name="L141" href="#L141">141</a>         <strong class="jxr_keyword">return</strong> typeParameters;
<a class="jxr_linenumber" name="L142" href="#L142">142</a>     }
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 
<a class="jxr_linenumber" name="L144" href="#L144">144</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setBlock(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html">BlockStmt</a> block) {
<a class="jxr_linenumber" name="L145" href="#L145">145</a>         <strong class="jxr_keyword">this</strong>.block = block;
<a class="jxr_linenumber" name="L146" href="#L146">146</a>         setAsParentNodeOf(<strong class="jxr_keyword">this</strong>.block);
<a class="jxr_linenumber" name="L147" href="#L147">147</a>     }
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 
<a class="jxr_linenumber" name="L149" href="#L149">149</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setModifiers(<strong class="jxr_keyword">int</strong> modifiers) {
<a class="jxr_linenumber" name="L150" href="#L150">150</a>         <strong class="jxr_keyword">this</strong>.modifiers = modifiers;
<a class="jxr_linenumber" name="L151" href="#L151">151</a>     }
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 
<a class="jxr_linenumber" name="L153" href="#L153">153</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setName(String name) {
<a class="jxr_linenumber" name="L154" href="#L154">154</a>         <strong class="jxr_keyword">this</strong>.name = <strong class="jxr_keyword">new</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html">NameExpr</a>(name);
<a class="jxr_linenumber" name="L155" href="#L155">155</a>     }
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 
<a class="jxr_linenumber" name="L157" href="#L157">157</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setNameExpr(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html">NameExpr</a> name) {
<a class="jxr_linenumber" name="L158" href="#L158">158</a>         <strong class="jxr_keyword">this</strong>.name = name;
<a class="jxr_linenumber" name="L159" href="#L159">159</a>     }
<a class="jxr_linenumber" name="L160" href="#L160">160</a> 
<a class="jxr_linenumber" name="L161" href="#L161">161</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setParameters(List&lt;Parameter&gt; parameters) {
<a class="jxr_linenumber" name="L162" href="#L162">162</a>         <strong class="jxr_keyword">this</strong>.parameters = parameters;
<a class="jxr_linenumber" name="L163" href="#L163">163</a>         setAsParentNodeOf(<strong class="jxr_keyword">this</strong>.parameters);
<a class="jxr_linenumber" name="L164" href="#L164">164</a>     }
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 
<a class="jxr_linenumber" name="L166" href="#L166">166</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setThrows(List&lt;NameExpr&gt; <strong class="jxr_keyword">throws</strong>_) {
<a class="jxr_linenumber" name="L167" href="#L167">167</a>         <strong class="jxr_keyword">this</strong>.<strong class="jxr_keyword">throws</strong>_ = <strong class="jxr_keyword">throws</strong>_;
<a class="jxr_linenumber" name="L168" href="#L168">168</a>         setAsParentNodeOf(<strong class="jxr_keyword">this</strong>.<strong class="jxr_keyword">throws</strong>_);
<a class="jxr_linenumber" name="L169" href="#L169">169</a>     }
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 
<a class="jxr_linenumber" name="L171" href="#L171">171</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setTypeParameters(List&lt;TypeParameter&gt; typeParameters) {
<a class="jxr_linenumber" name="L172" href="#L172">172</a>         <strong class="jxr_keyword">this</strong>.typeParameters = typeParameters;
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 		setAsParentNodeOf(<strong class="jxr_keyword">this</strong>.typeParameters);
<a class="jxr_linenumber" name="L174" href="#L174">174</a>     }
<a class="jxr_linenumber" name="L175" href="#L175">175</a> 
<a class="jxr_linenumber" name="L176" href="#L176">176</a>     <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L177" href="#L177">177</a> <em class="jxr_javadoccomment">     * The declaration returned has this schema:</em>
<a class="jxr_linenumber" name="L178" href="#L178">178</a> <em class="jxr_javadoccomment">     *</em>
<a class="jxr_linenumber" name="L179" href="#L179">179</a> <em class="jxr_javadoccomment">     * [accessSpecifier] className ([paramType [paramName]])</em>
<a class="jxr_linenumber" name="L180" href="#L180">180</a> <em class="jxr_javadoccomment">     * [throws exceptionsList]</em>
<a class="jxr_linenumber" name="L181" href="#L181">181</a> <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="L182" href="#L182">182</a>     @Override
<a class="jxr_linenumber" name="L183" href="#L183">183</a>     <strong class="jxr_keyword">public</strong> String getDeclarationAsString(<strong class="jxr_keyword">boolean</strong> includingModifiers, <strong class="jxr_keyword">boolean</strong> includingThrows,
<a class="jxr_linenumber" name="L184" href="#L184">184</a>                                          <strong class="jxr_keyword">boolean</strong> includingParameterName) {
<a class="jxr_linenumber" name="L185" href="#L185">185</a>         StringBuffer sb = <strong class="jxr_keyword">new</strong> StringBuffer();
<a class="jxr_linenumber" name="L186" href="#L186">186</a>         <strong class="jxr_keyword">if</strong> (includingModifiers) {
<a class="jxr_linenumber" name="L187" href="#L187">187</a>             <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/AccessSpecifier.html">AccessSpecifier</a> accessSpecifier = ModifierSet.getAccessSpecifier(getModifiers());
<a class="jxr_linenumber" name="L188" href="#L188">188</a>             sb.append(accessSpecifier.getCodeRepresenation());
<a class="jxr_linenumber" name="L189" href="#L189">189</a>             sb.append(accessSpecifier == AccessSpecifier.DEFAULT ? <span class="jxr_string">""</span> : <span class="jxr_string">" "</span>);
<a class="jxr_linenumber" name="L190" href="#L190">190</a>         }
<a class="jxr_linenumber" name="L191" href="#L191">191</a>         sb.append(getName());
<a class="jxr_linenumber" name="L192" href="#L192">192</a>         sb.append(<span class="jxr_string">"("</span>);
<a class="jxr_linenumber" name="L193" href="#L193">193</a>         <strong class="jxr_keyword">boolean</strong> firstParam = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L194" href="#L194">194</a>         <strong class="jxr_keyword">for</strong> (Parameter param : getParameters())
<a class="jxr_linenumber" name="L195" href="#L195">195</a>         {
<a class="jxr_linenumber" name="L196" href="#L196">196</a>             <strong class="jxr_keyword">if</strong> (firstParam) {
<a class="jxr_linenumber" name="L197" href="#L197">197</a>                 firstParam = false;
<a class="jxr_linenumber" name="L198" href="#L198">198</a>             } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L199" href="#L199">199</a>                 sb.append(<span class="jxr_string">", "</span>);
<a class="jxr_linenumber" name="L200" href="#L200">200</a>             }
<a class="jxr_linenumber" name="L201" href="#L201">201</a>             <strong class="jxr_keyword">if</strong> (includingParameterName) {
<a class="jxr_linenumber" name="L202" href="#L202">202</a>                 sb.append(param.toStringWithoutComments());
<a class="jxr_linenumber" name="L203" href="#L203">203</a>             } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L204" href="#L204">204</a>                 sb.append(param.getType().toStringWithoutComments());
<a class="jxr_linenumber" name="L205" href="#L205">205</a>             }
<a class="jxr_linenumber" name="L206" href="#L206">206</a>         }
<a class="jxr_linenumber" name="L207" href="#L207">207</a>         sb.append(<span class="jxr_string">")"</span>);
<a class="jxr_linenumber" name="L208" href="#L208">208</a>         <strong class="jxr_keyword">if</strong> (includingThrows) {
<a class="jxr_linenumber" name="L209" href="#L209">209</a>             <strong class="jxr_keyword">boolean</strong> firstThrow = <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L210" href="#L210">210</a>             <strong class="jxr_keyword">for</strong> (NameExpr thr : getThrows()) {
<a class="jxr_linenumber" name="L211" href="#L211">211</a>                 <strong class="jxr_keyword">if</strong> (firstThrow) {
<a class="jxr_linenumber" name="L212" href="#L212">212</a>                     firstThrow = false;
<a class="jxr_linenumber" name="L213" href="#L213">213</a>                     sb.append(<span class="jxr_string">" throws "</span>);
<a class="jxr_linenumber" name="L214" href="#L214">214</a>                 } <strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L215" href="#L215">215</a>                     sb.append(<span class="jxr_string">", "</span>);
<a class="jxr_linenumber" name="L216" href="#L216">216</a>                 }
<a class="jxr_linenumber" name="L217" href="#L217">217</a>                 sb.append(thr.toStringWithoutComments());
<a class="jxr_linenumber" name="L218" href="#L218">218</a>             }
<a class="jxr_linenumber" name="L219" href="#L219">219</a>         }
<a class="jxr_linenumber" name="L220" href="#L220">220</a>         <strong class="jxr_keyword">return</strong> sb.toString();
<a class="jxr_linenumber" name="L221" href="#L221">221</a>     }
<a class="jxr_linenumber" name="L222" href="#L222">222</a> 
<a class="jxr_linenumber" name="L223" href="#L223">223</a>     @Override
<a class="jxr_linenumber" name="L224" href="#L224">224</a>     <strong class="jxr_keyword">public</strong> String getDeclarationAsString(<strong class="jxr_keyword">boolean</strong> includingModifiers, <strong class="jxr_keyword">boolean</strong> includingThrows) {
<a class="jxr_linenumber" name="L225" href="#L225">225</a>         <strong class="jxr_keyword">return</strong> getDeclarationAsString(includingModifiers, includingThrows, <strong class="jxr_keyword">true</strong>);
<a class="jxr_linenumber" name="L226" href="#L226">226</a>     }
<a class="jxr_linenumber" name="L227" href="#L227">227</a> 
<a class="jxr_linenumber" name="L228" href="#L228">228</a>     @Override
<a class="jxr_linenumber" name="L229" href="#L229">229</a>     <strong class="jxr_keyword">public</strong> String getDeclarationAsString() {
<a class="jxr_linenumber" name="L230" href="#L230">230</a>         <strong class="jxr_keyword">return</strong> getDeclarationAsString(<strong class="jxr_keyword">true</strong>, <strong class="jxr_keyword">true</strong>, <strong class="jxr_keyword">true</strong>);
<a class="jxr_linenumber" name="L231" href="#L231">231</a>     }
<a class="jxr_linenumber" name="L232" href="#L232">232</a> 
<a class="jxr_linenumber" name="L233" href="#L233">233</a>     @Override
<a class="jxr_linenumber" name="L234" href="#L234">234</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setJavaDoc(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/JavadocComment.html">JavadocComment</a> javadocComment) {
<a class="jxr_linenumber" name="L235" href="#L235">235</a>         <strong class="jxr_keyword">this</strong>.javadocComment = javadocComment;
<a class="jxr_linenumber" name="L236" href="#L236">236</a>     }
<a class="jxr_linenumber" name="L237" href="#L237">237</a> 
<a class="jxr_linenumber" name="L238" href="#L238">238</a>     @Override
<a class="jxr_linenumber" name="L239" href="#L239">239</a>     <strong class="jxr_keyword">public</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/JavadocComment.html">JavadocComment</a> getJavaDoc() {
<a class="jxr_linenumber" name="L240" href="#L240">240</a>         <strong class="jxr_keyword">return</strong> javadocComment;
<a class="jxr_linenumber" name="L241" href="#L241">241</a>     }
<a class="jxr_linenumber" name="L242" href="#L242">242</a> 
<a class="jxr_linenumber" name="L243" href="#L243">243</a>     <strong class="jxr_keyword">private</strong> <a href="../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/comments/JavadocComment.html">JavadocComment</a> javadocComment;
<a class="jxr_linenumber" name="L244" href="#L244">244</a> }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
